Bug 1118675 - Unable to install s-ramp feature
Summary: Unable to install s-ramp feature
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: FUTURE
Assignee: Julian Coleman
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On: 1120790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:55 UTC by Stefan Bunciak
Modified: 2015-11-02 08:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
List of problematic artifacts (8.05 KB, text/plain)
2014-07-16 18:33 UTC, kconner
no flags Details

Description Stefan Bunciak 2014-07-11 08:55:12 UTC
Description of problem:

Wrong bundle versions present in org/overlord/sramp/s-ramp-distro-fuse61/0.5.0.Alpha1-redhat-1/s-ramp-distro-fuse61-0.5.0.Alpha1-redhat-1-features.xml:

e.g. <bundle>mvn:joda-time/joda-time/1.6.2-redhat-4</bundle>

This is not a valid version for osgi bundle (1.6.2.redhat-4 is valid for example). Valid osgi bundle versions format:

<major> [ '.' <minor> [ '.' <micro> [ '.' <qualifier> ]]]

Where <major>, <minor>, and <micro> are positive integers and <qualifier> is an arbitrary string. For example, the following are valid OSGi versions:


Version-Release number of selected component (if applicable):

FSW 6.1 DR1

How reproducible:


Steps to Reproduce:
1. Unzip FSW 6.1 DR1 on top of fuse 6.1
2. Run fuse
3. execute features:addurl mvn:org.overlord.sramp/s-ramp-distro-fuse61/0.5.0.Alpha1-redhat-1/xml/features
4. execute features:install -v s-ramp

Actual results:

Error executing command: invalid version "1.6.2-redhat-4": non-numeric "2-redhat-4" 

Expected results:

S-RAMP is installed correctly

Additional info:

After removing wrong version qualifiers, s-ramp feature was build, but subsequently got another exception:

Error executing command: Could not start bundle mvn:org.slf4j/jcl-over-slf4j/1.7.2.redhat-3 in feature(s) s-ramp-dependencies-0.5.0.Alpha1-redhat-1: Unresolved constraint in bundle jcl.over.slf4j [318]: Unable to resolve 318.0: missing requirement [318.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.7.2.redhat-3))

Comment 1 kconner 2014-07-16 18:29:15 UTC
This is generated information derived from the dependencies so the version is introduced through the alignment with Productised versions of the artifacts.

Earlier this week I took a look at the current zip and identified 23 artifacts that need to be addressed, either from the distributions or maven repositories.

The known problems are

guava-13.0.1-redhat-1
     jboss-fuse-6.1.0.redhat-379/system/com/google/guava/guava/13.0.1-redhat-1/guava-13.0.1-redhat-1.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/com/google/guava/main/guava-13.0.1-redhat-1.jar
     jboss-eap-6.3.0.GA-maven-repository/com/google/guava/guava/13.0.1-redhat-1/guava-13.0.1-redhat-1.jar
txw2-20110809-redhat-4
     jboss-fuse-6.1.0.redhat-379/system/com/sun/xml/txw2/txw2/20110809-redhat-4/txw2-20110809-redhat-4.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/com/sun/xml/txw2/main/txw2-20110809-redhat-4.jar
     jboss-eap-6.3.0.GA-maven-repository/com/sun/xml/txw2/txw2/20110809-redhat-4/txw2-20110809-redhat-4.jar
istack-commons-runtime-2.6.1-redhat-2
     jboss-fuse-6.1.0.redhat-379/system/com/sun/istack/istack-commons-runtime/2.6.1-redhat-2/istack-commons-runtime-2.6.1-redhat-2.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/com/sun/istack/main/istack-commons-runtime-2.6.1-redhat-2.jar
     jboss-eap-6.3.0.GA-maven-repository/com/sun/istack/istack-commons-runtime/2.6.1-redhat-2/istack-commons-runtime-2.6.1-redhat-2.jar
relaxngDatatype-2011.1-redhat-6
     jboss-fuse-6.1.0.redhat-379/system/com/github/relaxng/relaxngDatatype/2011.1-redhat-6/relaxngDatatype-2011.1-redhat-6.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/com/github/relaxng/main/relaxngDatatype-2011.1-redhat-6.jar
     jboss-eap-6.3.0.GA-maven-repository/com/github/relaxng/relaxngDatatype/2011.1-redhat-6/relaxngDatatype-2011.1-redhat-6.jar
commons-cli-1.2.redhat-4
     jboss-fuse-6.1.0.redhat-379/system/commons-cli/commons-cli/1.2.redhat-4/commons-cli-1.2.redhat-4.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/cli/main/commons-cli-1.2.redhat-4.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-cli/commons-cli/1.2.redhat-4/commons-cli-1.2.redhat-4.jar
commons-lang-2.6.redhat-3
     jboss-fuse-6.1.0.redhat-379/system/commons-lang/commons-lang/2.6.redhat-3/commons-lang-2.6.redhat-3.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/lang/main/commons-lang-2.6.redhat-3.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-lang/commons-lang/2.6.redhat-3/commons-lang-2.6.redhat-3.jar
commons-io-2.1.redhat-3
     jboss-fuse-6.1.0.redhat-379/system/commons-io/commons-io/2.1.redhat-3/commons-io-2.1.redhat-3.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/io/main/commons-io-2.1.redhat-3.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-io/commons-io/2.1.redhat-3/commons-io-2.1.redhat-3.jar
joda-time-1.6.2-redhat-4
     jboss-fuse-6.1.0.redhat-379/system/joda-time/joda-time/1.6.2-redhat-4/joda-time-1.6.2-redhat-4.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/joda/time/main/joda-time-1.6.2-redhat-4.jar
     jboss-eap-6.3.0.GA-maven-repository/joda-time/joda-time/1.6.2-redhat-4/joda-time-1.6.2-redhat-4.jar
commons-codec-1.4.redhat-3
     jboss-fuse-6.1.0.redhat-379/system/commons-codec/commons-codec/1.4.redhat-3/commons-codec-1.4.redhat-3.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/codec/main/commons-codec-1.4.redhat-3.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-codec/commons-codec/1.4.redhat-3/commons-codec-1.4.redhat-3.jar
commons-configuration-1.6.redhat-3
     jboss-fuse-6.1.0.redhat-379/system/commons-configuration/commons-configuration/1.6.redhat-3/commons-configuration-1.6.redhat-3.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/configuration/main/commons-configuration-1.6.redhat-3.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-configuration/commons-configuration/1.6.redhat-3/commons-configuration-1.6.redhat-3.jar
jcip-annotations-1.0.redhat-6
     jboss-fuse-6.1.0.redhat-379/system/net/jcip/jcip-annotations/1.0.redhat-6/jcip-annotations-1.0.redhat-6.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/net/jcip/main/jcip-annotations-1.0.redhat-6.jar
     jboss-eap-6.3.0.GA-maven-repository/net/jcip/jcip-annotations/1.0.redhat-6/jcip-annotations-1.0.redhat-6.jar
mail-1.4.5-redhat-1
     jboss-fuse-6.1.0.redhat-379/system/javax/mail/mail/1.4.5-redhat-1/mail-1.4.5-redhat-1.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/javax/mail/api/main/mail-1.4.5-redhat-1.jar
     jboss-eap-6.3.0.GA-maven-repository/javax/mail/mail/1.4.5-redhat-1/mail-1.4.5-redhat-1.jar
activation-1.1.1-redhat-2
     jboss-fuse-6.1.0.redhat-379/system/javax/activation/activation/1.1.1-redhat-2/activation-1.1.1-redhat-2.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/javax/activation/api/main/activation-1.1.1-redhat-2.jar
     jboss-eap-6.3.0.GA-maven-repository/javax/activation/activation/1.1.1-redhat-2/activation-1.1.1-redhat-2.jar
commons-pool-1.6.redhat-6
     jboss-fuse-6.1.0.redhat-379/system/commons-pool/commons-pool/1.6.redhat-6/commons-pool-1.6.redhat-6.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/commons/pool/main/commons-pool-1.6.redhat-6.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-pool/commons-pool/1.6.redhat-6/commons-pool-1.6.redhat-6.jar
apache-mime4j-0.6.redhat-3
     jboss-fuse-6.1.0.redhat-379/system/org/apache/james/apache-mime4j/0.6.redhat-3/apache-mime4j-0.6.redhat-3.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/james/mime4j/main/apache-mime4j-0.6.redhat-3.jar
     jboss-eap-6.3.0.GA-maven-repository/org/apache/james/apache-mime4j/0.6.redhat-3/apache-mime4j-0.6.redhat-3.jar
httpclient-4.2.1-redhat-1
     jboss-fuse-6.1.0.redhat-379/system/org/apache/httpcomponents/httpclient/4.2.1-redhat-1/httpclient-4.2.1-redhat-1.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/httpcomponents/main/httpclient-4.2.1-redhat-1.jar
     jboss-eap-6.3.0.GA-maven-repository/org/apache/httpcomponents/httpclient/4.2.1-redhat-1/httpclient-4.2.1-redhat-1.jar
httpcore-4.2.1-redhat-1
     jboss-fuse-6.1.0.redhat-379/system/org/apache/httpcomponents/httpcore/4.2.1-redhat-1/httpcore-4.2.1-redhat-1.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/apache/httpcomponents/main/httpcore-4.2.1-redhat-1.jar
     jboss-eap-6.3.0.GA-maven-repository/org/apache/httpcomponents/httpcore/4.2.1-redhat-1/httpcore-4.2.1-redhat-1.jar
snakeyaml-1.8-redhat-2
     jboss-fuse-6.1.0.redhat-379/system/org/yaml/snakeyaml/1.8-redhat-2/snakeyaml-1.8-redhat-2.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/yaml/snakeyaml/main/snakeyaml-1.8-redhat-2.jar
     jboss-eap-6.3.0.GA-maven-repository/org/yaml/snakeyaml/1.8-redhat-2/snakeyaml-1.8-redhat-2.jar
javassist-3.18.1-GA-redhat-1
     jboss-fuse-6.1.0.redhat-379/system/org/javassist/javassist/3.18.1-GA-redhat-1/javassist-3.18.1-GA-redhat-1.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/javassist/main/javassist-3.18.1-GA-redhat-1.jar
     jboss-eap-6.3.0.GA-maven-repository/org/javassist/javassist/3.18.1-GA-redhat-1/javassist-3.18.1-GA-redhat-1.jar
staxmapper-1.1.0.Final
     jboss-fuse-6.1.0.redhat-379/system/org/jboss/staxmapper/1.1.0.Final/staxmapper-1.1.0.Final.jar
     jboss-fuse-6.1.0.redhat-379/system/org/jboss/staxmapper/1.1.0.Final-redhat-2/staxmapper-1.1.0.Final-redhat-2.jar
     jboss-eap-6.3.0.ER9/jboss-eap-6.3/modules/system/layers/base/org/jboss/staxmapper/main/staxmapper-1.1.0.Final-redhat-2.jar
     jboss-eap-6.3.0.GA-maven-repository/org/jboss/staxmapper/1.1.0.Final/staxmapper-1.1.0.Final.jar
     jboss-eap-6.3.0.GA-maven-repository/org/jboss/staxmapper/1.1.0.Final-redhat-2/staxmapper-1.1.0.Final-redhat-2.jar
commons-httpclient-3.1-jbossorg-1
     jboss-fuse-6.1.0.redhat-379/system/commons-httpclient/commons-httpclient/3.1-jbossorg-1/commons-httpclient-3.1-jbossorg-1.jar
     jboss-eap-6.3.0.GA-maven-repository/commons-httpclient/commons-httpclient/3.1-jbossorg-1/commons-httpclient-3.1-jbossorg-1.jar
jbossws-api-1.0.0.GA
     jboss-fuse-6.1.0.redhat-379/system/org/jboss/ws/jbossws-api/1.0.0.GA/jbossws-api-1.0.0.GA.jar
     jboss-eap-6.3.0.GA-maven-repository/org/jboss/ws/jbossws-api/1.0.0.GA/jbossws-api-1.0.0.GA.jar

Comment 2 kconner 2014-07-16 18:33:10 UTC
Created attachment 918496 [details]
List of problematic artifacts

Adding the list as an attachment as the formatting in BZ is not friendly

Comment 3 kconner 2014-07-17 17:10:40 UTC
Slight clarification, there are 22 artifacts in total as we appear to be pulling in two different versions of the staxmapper artifact.


Note You need to log in before you can comment on or make changes to this bug.